| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoMDC.registers.mre3_registers.MRE3TemperatureManager Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.MRE3TemperatureManager:

## Public Member Functions
| __init__ (self, board=None)
| GetDeviceTemperature (self)
| GetDeviceTemperatureThreshold (self)
| SetDeviceTemperatureThreshold (self, threshold=0)
| GetBoardOutputStageTemperature (self)
| GetBoardOutputStageTemperatureThreshold (self)
| SetBoardOutputStageTemperatureThreshold (self, threshold=0)
| GetProxyTemperature (self)
| GetProxyTemperatureThreshold (self)
| SetProxyTemperatureThreshold (self, threshold=0)
| GetMcuTemperature (self)
| GetMcuTemperatureThreshold (self)
| SetMcuTemperatureThreshold (self, threshold=0)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| device_temperature
| device_temp_threshold
| board_out_temperature
| board_out_threshold
| proxy_temperature
| proxy_threshold
| mcu_temperature
| mcu_temperature_threshold

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

        Device Functionality - Device Temperature Readout
        System ID: 0x22
        If this threshold is reached the output of the driver is disabled to cool down.
        Temperature has to fall by 10 degrees so that the output is enabled again
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        | Register Name                   | Id   | Type        | Unit | Range | Default | Comment                      |
        +=====================+======+=============+======+=======+=========+==========================================+
        |actuator_temperature             | 0x00 |uint 8-bit  |°C    |       |N/A       |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |actuator_temp_threshold          | 0x01 |uint 8-bit  |°C    |       |85        |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |output_stage_board_temp          | 0x02 |uint 8-bit  |°C    |       |N/A       |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |output_stage_board_temp_threshold| 0x03 |uint 8-bit  |°C    |       |85        |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |proxy_board_temperature          | 0x04|uint 8-bit  |°C     |       |N/A       |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |proxy_board_temperature_threshold| 0x05 |uint 8-bit  |°C    |       |85        |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |device_temp_threshold            | 0x06 |uint 8-bit  |°C    |       |N/A       |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |device_temp_threshold            | 0x07 |uint 8-bit  |°C    |       |85        |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetBoardOutputStageTemperature()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetBoardOutputStageTemperature | ( |  | self | ) |

## ◆ GetBoardOutputStageTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetBoardOutputStageTemperatureThreshold | ( |  | self | ) |

## ◆ GetDeviceTemperature()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetDeviceTemperature | ( |  | self | ) |

## ◆ GetDeviceTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetDeviceTemperatureThreshold | ( |  | self | ) |

## ◆ GetMcuTemperature()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetMcuTemperature | ( |  | self | ) |

## ◆ GetMcuTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetMcuTemperatureThreshold | ( |  | self | ) |

## ◆ GetProxyTemperature()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetProxyTemperature | ( |  | self | ) |

## ◆ GetProxyTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetProxyTemperatureThreshold | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.help | ( |  | ) |
| static

## ◆ SetBoardOutputStageTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.SetBoardOutputStageTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

## ◆ SetDeviceTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.SetDeviceTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

## ◆ SetMcuTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.SetMcuTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

## ◆ SetProxyTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.SetProxyTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre3_registers.MRE3TemperatureManager._is_a_system = False
| static protected

## ◆ board_out_temperature

optoMDC.registers.mre3_registers.MRE3TemperatureManager.board_out_temperature

## ◆ board_out_threshold

optoMDC.registers.mre3_registers.MRE3TemperatureManager.board_out_threshold

## ◆ device_temp_threshold

optoMDC.registers.mre3_registers.MRE3TemperatureManager.device_temp_threshold

## ◆ device_temperature

optoMDC.registers.mre3_registers.MRE3TemperatureManager.device_temperature

## ◆ mcu_temperature

optoMDC.registers.mre3_registers.MRE3TemperatureManager.mcu_temperature

## ◆ mcu_temperature_threshold

optoMDC.registers.mre3_registers.MRE3TemperatureManager.mcu_temperature_threshold

## ◆ proxy_temperature

optoMDC.registers.mre3_registers.MRE3TemperatureManager.proxy_temperature

## ◆ proxy_threshold

optoMDC.registers.mre3_registers.MRE3TemperatureManager.proxy_threshold

## ◆ sys_id

optoMDC.registers.mre3_registers.MRE3TemperatureManager.sys_id

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py